/* Copyright (C) 2023 GSI Helmholtzzentrum fuer Schwerionenforschung, Darmstadt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Sergey Gorbunov [committer] */

#ifndef CbmL1Util_H
#define CbmL1Util_H 1

#include "Rtypes.h"

class FairTrackParam;

///
/// Collection of useful utilites for CbmL1
///
namespace cbm::L1Util
{

  /// copy fair track param to arrays
  // TODO: reorganize
  void CopyTrackParam2TC(const FairTrackParam* par, Double_t T[], Double_t C[]);

  /// copy arrays to fair track param
  // TODO: reorganize
  void CopyTC2TrackParam(FairTrackParam* par, Double_t T[], Double_t C[]);

}  // namespace cbm::L1Util

#endif
